Skip to content
Guides
API reference
stablecatalog:create

Upload a product import asset

Uploads an image referenced by a product import, so the import file can point at it by name.

POST/v1/catalog/products/import-assets

Uploads an image referenced by a product import, so the import file can point at it by name.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Query Parameters

FileName*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/catalog/products/import-assets?FileName=string"
{  "assetId": "string",  "fileName": "string",  "contentType": "string",  "size": 0,  "sha256": "string"}